0.9.8: GLM_GTX_euler_angles

| 0.9.8

- Main Page
- Modules
- Files

Functions
GLM_GTX_euler_angles
GTX Extensions (Experimental)

## Functions
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleX (T const &angleX)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleXY (T const &angleX, T const &angleY)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleXYZ (T const &t1, T const &t2, T const &t3)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleXZ (T const &angleX, T const &angleZ)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleY (T const &angleY)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleYX (T const &angleY, T const &angleX)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleYXZ (T const &yaw, T const &pitch, T const &roll)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleYZ (T const &angleY, T const &angleZ)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleZ (T const &angleZ)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleZX (T const &angle, T const &angleX)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | eulerAngleZY (T const &angleZ, T const &angleY)
template<typename T >
GLM_FUNC_DECL void | extractEulerAngleXYZ (tmat4x4< T, defaultp > const &M, T &t1, T &t2, T &t3)
template<typename T >
GLM_FUNC_DECL tmat2x2< T, defaultp > | orientate2 (T const &angle)
template<typename T >
GLM_FUNC_DECL tmat3x3< T, defaultp > | orientate3 (T const &angle)
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | orientate3 (tvec3< T, P > const &angles)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | orientate4 (tvec3< T, P > const &angles)
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | yawPitchRoll (T const &yaw, T const &pitch, T const &roll)

## Detailed Description

Build matrices from Euler angles.

<glm/gtx/euler_angles.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleX | ( | T const & | angleX | ) |

Creates a 3D 4 * 4 homogeneous rotation matrix from an euler angle X.

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleXY | ( | T const & | angleX,
|  | T const & | angleY
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (X * Y).

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleXYZ | ( | T const & | t1,
|  | T const & | t2,
|  | T const & | t3
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (X * Y * Z).

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleXZ | ( | T const & | angleX,
|  | T const & | angleZ
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (X * Z).

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleY | ( | T const & | angleY | ) |

Creates a 3D 4 * 4 homogeneous rotation matrix from an euler angle Y.

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleYX | ( | T const & | angleY,
|  | T const & | angleX
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Y * X).

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleYXZ | ( | T const & | yaw,
|  | T const & | pitch,
|  | T const & | roll
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Y * X * Z).

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleYZ | ( | T const & | angleY,
|  | T const & | angleZ
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Y * Z).

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleZ | ( | T const & | angleZ | ) |

Creates a 3D 4 * 4 homogeneous rotation matrix from an euler angle Z.

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleZX | ( | T const & | angle,
|  | T const & | angleX
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Z * X).

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::eulerAngleZY | ( | T const & | angleZ,
|  | T const & | angleY
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Z * Y).

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL void glm::extractEulerAngleXYZ | ( | tmat4x4< T, defaultp > const & | M,
|  | T & | t1,
|  | T & | t2,
|  | T & | t3
| ) |  |

Extracts the (X * Y * Z) Euler angles from the rotation matrix M.

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat2x2<T, defaultp> glm::orientate2 | ( | T const & | angle | ) |

Creates a 2D 2 * 2 rotation matrix from an euler angle.

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat3x3<T, defaultp> glm::orientate3 | ( | T const & | angle | ) |

Creates a 2D 4 * 4 homogeneous rotation matrix from an euler angle.

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat3x3<T, P> glm::orientate3 | ( | tvec3< T, P > const & | angles | ) |

Creates a 3D 3 * 3 rotation matrix from euler angles (Y * X * Z).

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, P> glm::orientate4 | ( | tvec3< T, P > const & | angles | ) |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Y * X * Z).

See also
  GLM_GTX_euler_angles

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::yawPitchRoll | ( | T const & | yaw,
|  | T const & | pitch,
|  | T const & | roll
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Y * X * Z).

See also
  GLM_GTX_euler_angles